---
title: List
slug: SrsY-list
description: Learn how to retrieve all tasks using a GET request with code examples in this document. The response will include detailed information such as ID, creation date, subject, content, account, and author for each task. You'll also find a comprehensive pagina
docTags: 
createdAt: 2023-09-28T16:31:52.569Z
---

:::ApiMethodV2
```json
{
  "name": "Retrieve all Tasks",
  "method": "GET",
  "url": "https://data.successeve.com/v2/tasks",
  "description": " ",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "s6hBJiQt_-goaw2ozK2Re",
        "language": "curl",
        "code": "curl -X GET https://data.successeve.com/v2/notes \\\n-H 'Accept: application/json' \\\n-H 'Authorization:Bearer <Your access token>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "s6hBJiQt_-goaw2ozK2Re"
  },
  "results": {
    "languages": [
      {
        "id": "rcl0vORAmU_xeQvwqNYiV",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"object\": \"note.list\",\n  \"data\": [\n    {\n      \"object\": \"note\",\n      \"id\": \"5d3bae5bcb4a287b44583a55\",\n      \"created_at\": 1564192347,\n      \"subject\": \"My note\",\n      \"note\": \"content of the note\",\n      \"account\":{\n        \"object\": \"account\",\n        \"id\": \"5d3bae5bcb4a287b44583a55\"\n      },\n      \"author\": {\n        \"object\": \"user\",\n        \"id\": \"5a9d0d70ec8d83231af64745\"\n      }\n    },\n    .....\n  ],\n  \"pagination\": {\n    \"total\": 4019,\n    \"offset\": 0,\n    \"limit\": 25,\n    \"count\": 25,\n    \"next\": \"https://data.successeve.com/v2/notes?offset=25&limit=25\"\n  }\n}"
      },
      {
        "id": "YqvStDSYbOdf4cMbYTNvU",
        "language": "404",
        "customLabel": "",
        "code": "{\n    \"error\": \"404 Object not found\"\n}"
      }
    ],
    "selectedLanguageId": "rcl0vORAmU_xeQvwqNYiV"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "offset",
        "kind": "optional",
        "type": "Number",
        "description": "What offset of results to fetch. Defaults to first item.",
        "children": []
      },
      {
        "name": "limit",
        "kind": "optional",
        "type": "Number",
        "description": "How many results per page. Defaults to 25, Max is 100.",
        "children": []
      },
      {
        "name": "order",
        "kind": "optional",
        "type": "string",
        "description": "Returns the accounts in ascending or descending order. Valid values: asc or desc. Defaults to desc.",
        "children": []
      },
      {
        "name": "sort",
        "kind": "optional",
        "type": "string",
        "description": "What field to sort the results by. Valid values: ‘created_at’",
        "children": []
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  }
}
```
:::

